/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to a trip cancellation incident
 */
@ApiModel(description = "List of information linked to a trip cancellation incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class TripCancellationClaimInformation {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Relationship_to_cardholder")
  private String relationshipToCardholder = null;

  @SerializedName("Other_relationship_to_cardholder")
  private String otherRelationshipToCardholder = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Do_you_have_other_insurance_covering")
  private String doYouHaveOtherInsuranceCovering = null;

  @SerializedName("Reimbursed_for_any_portion_of_the_cause")
  private String reimbursedForAnyPortionOfTheCause = null;

  @SerializedName("From_Planned_day_of_trip")
  private LocalDate fromPlannedDayOfTrip = null;

  @SerializedName("To_Planned_day_of_trip")
  private LocalDate toPlannedDayOfTrip = null;

  @SerializedName("Date_of_interruption_cancellation")
  private LocalDate dateOfInterruptionCancellation = null;

  @SerializedName("Ticket_Amount")
  private BigDecimal ticketAmount = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Cost_of_accommodation")
  private BigDecimal costOfAccommodation = null;

  @SerializedName("Total_amount_claimed")
  private BigDecimal totalAmountClaimed = null;

  @SerializedName("Amount_Paid")
  private BigDecimal amountPaid = null;

  @SerializedName("Amount_Reimbursed")
  private BigDecimal amountReimbursed = null;

  @SerializedName("Total_amount_of_claim")
  private BigDecimal totalAmountOfClaim = null;

  @SerializedName("Reason_of_cancellation")
  private String reasonOfCancellation = null;

  @SerializedName("Name_tour_operator_travel_agency")
  private String nameTourOperatorTravelAgency = null;

  @SerializedName("Address_tour_operator_travel_agency")
  private String addressTourOperatorTravelAgency = null;

  @SerializedName("Phone_tour_operator_travel_agency")
  private String phoneTourOperatorTravelAgency = null;

  @SerializedName("Did_you_use_any_means_of_transport")
  private String didYouUseAnyMeansOfTransport = null;

  @SerializedName("Date_of_departure")
  private String dateOfDeparture = null;

  @SerializedName("Place_departure")
  private String placeDeparture = null;

  @SerializedName("Name_of_person_suffering_physical_injury")
  private String nameOfPersonSufferingPhysicalInjury = null;

  @SerializedName("Relationship_to_claimant")
  private String relationshipToClaimant = null;

  @SerializedName("Nature_of_illness_or_physical_injury")
  private String natureOfIllnessOrPhysicalInjury = null;

  @SerializedName("Location_of_incident")
  private String locationOfIncident = null;

  @SerializedName("Date_on_which_the_illness_or_accident")
  private LocalDate dateOnWhichTheIllnessOrAccident = null;

  @SerializedName("Date_on_which_it_terminated")
  private LocalDate dateOnWhichItTerminated = null;

  @SerializedName("Include_a_description_of_the_physical")
  private String includeADescriptionOfThePhysical = null;

  @SerializedName("Admission")
  private LocalDate admission = null;

  @SerializedName("Discharge")
  private LocalDate discharge = null;

  @SerializedName("Please_indicate_the_amount")
  private BigDecimal pleaseIndicateTheAmount = null;

  @SerializedName("itemsList")
  private Model133 itemsList = null;

  public TripCancellationClaimInformation claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "test Name 123", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public TripCancellationClaimInformation relationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
    return this;
  }

   /**
   * Get relationshipToCardholder
   * @return relationshipToCardholder
  **/
  @ApiModelProperty(example = "Spouse", value = "")
  public String getRelationshipToCardholder() {
    return relationshipToCardholder;
  }

  public void setRelationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
  }

  public TripCancellationClaimInformation otherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
    return this;
  }

   /**
   * Get otherRelationshipToCardholder
   * @return otherRelationshipToCardholder
  **/
  @ApiModelProperty(example = "This is other R", value = "")
  public String getOtherRelationshipToCardholder() {
    return otherRelationshipToCardholder;
  }

  public void setOtherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
  }

  public TripCancellationClaimInformation sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Male", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public TripCancellationClaimInformation dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public TripCancellationClaimInformation doYouHaveOtherInsuranceCovering(String doYouHaveOtherInsuranceCovering) {
    this.doYouHaveOtherInsuranceCovering = doYouHaveOtherInsuranceCovering;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceCovering
   * @return doYouHaveOtherInsuranceCovering
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getDoYouHaveOtherInsuranceCovering() {
    return doYouHaveOtherInsuranceCovering;
  }

  public void setDoYouHaveOtherInsuranceCovering(String doYouHaveOtherInsuranceCovering) {
    this.doYouHaveOtherInsuranceCovering = doYouHaveOtherInsuranceCovering;
  }

  public TripCancellationClaimInformation reimbursedForAnyPortionOfTheCause(String reimbursedForAnyPortionOfTheCause) {
    this.reimbursedForAnyPortionOfTheCause = reimbursedForAnyPortionOfTheCause;
    return this;
  }

   /**
   * Get reimbursedForAnyPortionOfTheCause
   * @return reimbursedForAnyPortionOfTheCause
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getReimbursedForAnyPortionOfTheCause() {
    return reimbursedForAnyPortionOfTheCause;
  }

  public void setReimbursedForAnyPortionOfTheCause(String reimbursedForAnyPortionOfTheCause) {
    this.reimbursedForAnyPortionOfTheCause = reimbursedForAnyPortionOfTheCause;
  }

  public TripCancellationClaimInformation fromPlannedDayOfTrip(LocalDate fromPlannedDayOfTrip) {
    this.fromPlannedDayOfTrip = fromPlannedDayOfTrip;
    return this;
  }

   /**
   * Get fromPlannedDayOfTrip
   * @return fromPlannedDayOfTrip
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getFromPlannedDayOfTrip() {
    return fromPlannedDayOfTrip;
  }

  public void setFromPlannedDayOfTrip(LocalDate fromPlannedDayOfTrip) {
    this.fromPlannedDayOfTrip = fromPlannedDayOfTrip;
  }

  public TripCancellationClaimInformation toPlannedDayOfTrip(LocalDate toPlannedDayOfTrip) {
    this.toPlannedDayOfTrip = toPlannedDayOfTrip;
    return this;
  }

   /**
   * Get toPlannedDayOfTrip
   * @return toPlannedDayOfTrip
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getToPlannedDayOfTrip() {
    return toPlannedDayOfTrip;
  }

  public void setToPlannedDayOfTrip(LocalDate toPlannedDayOfTrip) {
    this.toPlannedDayOfTrip = toPlannedDayOfTrip;
  }

  public TripCancellationClaimInformation dateOfInterruptionCancellation(LocalDate dateOfInterruptionCancellation) {
    this.dateOfInterruptionCancellation = dateOfInterruptionCancellation;
    return this;
  }

   /**
   * Get dateOfInterruptionCancellation
   * @return dateOfInterruptionCancellation
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getDateOfInterruptionCancellation() {
    return dateOfInterruptionCancellation;
  }

  public void setDateOfInterruptionCancellation(LocalDate dateOfInterruptionCancellation) {
    this.dateOfInterruptionCancellation = dateOfInterruptionCancellation;
  }

  public TripCancellationClaimInformation ticketAmount(BigDecimal ticketAmount) {
    this.ticketAmount = ticketAmount;
    return this;
  }

   /**
   * Get ticketAmount
   * @return ticketAmount
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getTicketAmount() {
    return ticketAmount;
  }

  public void setTicketAmount(BigDecimal ticketAmount) {
    this.ticketAmount = ticketAmount;
  }

  public TripCancellationClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public TripCancellationClaimInformation costOfAccommodation(BigDecimal costOfAccommodation) {
    this.costOfAccommodation = costOfAccommodation;
    return this;
  }

   /**
   * Get costOfAccommodation
   * @return costOfAccommodation
  **/
  @ApiModelProperty(example = "300.0", value = "")
  public BigDecimal getCostOfAccommodation() {
    return costOfAccommodation;
  }

  public void setCostOfAccommodation(BigDecimal costOfAccommodation) {
    this.costOfAccommodation = costOfAccommodation;
  }

  public TripCancellationClaimInformation totalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public TripCancellationClaimInformation amountPaid(BigDecimal amountPaid) {
    this.amountPaid = amountPaid;
    return this;
  }

   /**
   * Get amountPaid
   * @return amountPaid
  **/
  @ApiModelProperty(example = "5000.0", value = "")
  public BigDecimal getAmountPaid() {
    return amountPaid;
  }

  public void setAmountPaid(BigDecimal amountPaid) {
    this.amountPaid = amountPaid;
  }

  public TripCancellationClaimInformation amountReimbursed(BigDecimal amountReimbursed) {
    this.amountReimbursed = amountReimbursed;
    return this;
  }

   /**
   * Get amountReimbursed
   * @return amountReimbursed
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getAmountReimbursed() {
    return amountReimbursed;
  }

  public void setAmountReimbursed(BigDecimal amountReimbursed) {
    this.amountReimbursed = amountReimbursed;
  }

  public TripCancellationClaimInformation totalAmountOfClaim(BigDecimal totalAmountOfClaim) {
    this.totalAmountOfClaim = totalAmountOfClaim;
    return this;
  }

   /**
   * Get totalAmountOfClaim
   * @return totalAmountOfClaim
  **/
  @ApiModelProperty(example = "150000.0", value = "")
  public BigDecimal getTotalAmountOfClaim() {
    return totalAmountOfClaim;
  }

  public void setTotalAmountOfClaim(BigDecimal totalAmountOfClaim) {
    this.totalAmountOfClaim = totalAmountOfClaim;
  }

  public TripCancellationClaimInformation reasonOfCancellation(String reasonOfCancellation) {
    this.reasonOfCancellation = reasonOfCancellation;
    return this;
  }

   /**
   * Get reasonOfCancellation
   * @return reasonOfCancellation
  **/
  @ApiModelProperty(example = "Serious Injury, Serious Illness, or Unexpected Death, of you, your Traveling Companion or Immediate Family Member", value = "")
  public String getReasonOfCancellation() {
    return reasonOfCancellation;
  }

  public void setReasonOfCancellation(String reasonOfCancellation) {
    this.reasonOfCancellation = reasonOfCancellation;
  }

  public TripCancellationClaimInformation nameTourOperatorTravelAgency(String nameTourOperatorTravelAgency) {
    this.nameTourOperatorTravelAgency = nameTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get nameTourOperatorTravelAgency
   * @return nameTourOperatorTravelAgency
  **/
  @ApiModelProperty(example = "Test Tour", value = "")
  public String getNameTourOperatorTravelAgency() {
    return nameTourOperatorTravelAgency;
  }

  public void setNameTourOperatorTravelAgency(String nameTourOperatorTravelAgency) {
    this.nameTourOperatorTravelAgency = nameTourOperatorTravelAgency;
  }

  public TripCancellationClaimInformation addressTourOperatorTravelAgency(String addressTourOperatorTravelAgency) {
    this.addressTourOperatorTravelAgency = addressTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get addressTourOperatorTravelAgency
   * @return addressTourOperatorTravelAgency
  **/
  @ApiModelProperty(example = "Test Address", value = "")
  public String getAddressTourOperatorTravelAgency() {
    return addressTourOperatorTravelAgency;
  }

  public void setAddressTourOperatorTravelAgency(String addressTourOperatorTravelAgency) {
    this.addressTourOperatorTravelAgency = addressTourOperatorTravelAgency;
  }

  public TripCancellationClaimInformation phoneTourOperatorTravelAgency(String phoneTourOperatorTravelAgency) {
    this.phoneTourOperatorTravelAgency = phoneTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get phoneTourOperatorTravelAgency
   * @return phoneTourOperatorTravelAgency
  **/
  @ApiModelProperty(example = "12351385554215", value = "")
  public String getPhoneTourOperatorTravelAgency() {
    return phoneTourOperatorTravelAgency;
  }

  public void setPhoneTourOperatorTravelAgency(String phoneTourOperatorTravelAgency) {
    this.phoneTourOperatorTravelAgency = phoneTourOperatorTravelAgency;
  }

  public TripCancellationClaimInformation didYouUseAnyMeansOfTransport(String didYouUseAnyMeansOfTransport) {
    this.didYouUseAnyMeansOfTransport = didYouUseAnyMeansOfTransport;
    return this;
  }

   /**
   * Get didYouUseAnyMeansOfTransport
   * @return didYouUseAnyMeansOfTransport
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getDidYouUseAnyMeansOfTransport() {
    return didYouUseAnyMeansOfTransport;
  }

  public void setDidYouUseAnyMeansOfTransport(String didYouUseAnyMeansOfTransport) {
    this.didYouUseAnyMeansOfTransport = didYouUseAnyMeansOfTransport;
  }

  public TripCancellationClaimInformation dateOfDeparture(String dateOfDeparture) {
    this.dateOfDeparture = dateOfDeparture;
    return this;
  }

   /**
   * Get dateOfDeparture
   * @return dateOfDeparture
  **/
  @ApiModelProperty(example = "2017-03-12", value = "")
  public String getDateOfDeparture() {
    return dateOfDeparture;
  }

  public void setDateOfDeparture(String dateOfDeparture) {
    this.dateOfDeparture = dateOfDeparture;
  }

  public TripCancellationClaimInformation placeDeparture(String placeDeparture) {
    this.placeDeparture = placeDeparture;
    return this;
  }

   /**
   * Get placeDeparture
   * @return placeDeparture
  **/
  @ApiModelProperty(example = "Test place", value = "")
  public String getPlaceDeparture() {
    return placeDeparture;
  }

  public void setPlaceDeparture(String placeDeparture) {
    this.placeDeparture = placeDeparture;
  }

  public TripCancellationClaimInformation nameOfPersonSufferingPhysicalInjury(String nameOfPersonSufferingPhysicalInjury) {
    this.nameOfPersonSufferingPhysicalInjury = nameOfPersonSufferingPhysicalInjury;
    return this;
  }

   /**
   * Get nameOfPersonSufferingPhysicalInjury
   * @return nameOfPersonSufferingPhysicalInjury
  **/
  @ApiModelProperty(example = "Test Name", value = "")
  public String getNameOfPersonSufferingPhysicalInjury() {
    return nameOfPersonSufferingPhysicalInjury;
  }

  public void setNameOfPersonSufferingPhysicalInjury(String nameOfPersonSufferingPhysicalInjury) {
    this.nameOfPersonSufferingPhysicalInjury = nameOfPersonSufferingPhysicalInjury;
  }

  public TripCancellationClaimInformation relationshipToClaimant(String relationshipToClaimant) {
    this.relationshipToClaimant = relationshipToClaimant;
    return this;
  }

   /**
   * Get relationshipToClaimant
   * @return relationshipToClaimant
  **/
  @ApiModelProperty(example = "Test Relation", value = "")
  public String getRelationshipToClaimant() {
    return relationshipToClaimant;
  }

  public void setRelationshipToClaimant(String relationshipToClaimant) {
    this.relationshipToClaimant = relationshipToClaimant;
  }

  public TripCancellationClaimInformation natureOfIllnessOrPhysicalInjury(String natureOfIllnessOrPhysicalInjury) {
    this.natureOfIllnessOrPhysicalInjury = natureOfIllnessOrPhysicalInjury;
    return this;
  }

   /**
   * Get natureOfIllnessOrPhysicalInjury
   * @return natureOfIllnessOrPhysicalInjury
  **/
  @ApiModelProperty(example = "Test nature", value = "")
  public String getNatureOfIllnessOrPhysicalInjury() {
    return natureOfIllnessOrPhysicalInjury;
  }

  public void setNatureOfIllnessOrPhysicalInjury(String natureOfIllnessOrPhysicalInjury) {
    this.natureOfIllnessOrPhysicalInjury = natureOfIllnessOrPhysicalInjury;
  }

  public TripCancellationClaimInformation locationOfIncident(String locationOfIncident) {
    this.locationOfIncident = locationOfIncident;
    return this;
  }

   /**
   * Get locationOfIncident
   * @return locationOfIncident
  **/
  @ApiModelProperty(example = "Text location", value = "")
  public String getLocationOfIncident() {
    return locationOfIncident;
  }

  public void setLocationOfIncident(String locationOfIncident) {
    this.locationOfIncident = locationOfIncident;
  }

  public TripCancellationClaimInformation dateOnWhichTheIllnessOrAccident(LocalDate dateOnWhichTheIllnessOrAccident) {
    this.dateOnWhichTheIllnessOrAccident = dateOnWhichTheIllnessOrAccident;
    return this;
  }

   /**
   * Get dateOnWhichTheIllnessOrAccident
   * @return dateOnWhichTheIllnessOrAccident
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getDateOnWhichTheIllnessOrAccident() {
    return dateOnWhichTheIllnessOrAccident;
  }

  public void setDateOnWhichTheIllnessOrAccident(LocalDate dateOnWhichTheIllnessOrAccident) {
    this.dateOnWhichTheIllnessOrAccident = dateOnWhichTheIllnessOrAccident;
  }

  public TripCancellationClaimInformation dateOnWhichItTerminated(LocalDate dateOnWhichItTerminated) {
    this.dateOnWhichItTerminated = dateOnWhichItTerminated;
    return this;
  }

   /**
   * Get dateOnWhichItTerminated
   * @return dateOnWhichItTerminated
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getDateOnWhichItTerminated() {
    return dateOnWhichItTerminated;
  }

  public void setDateOnWhichItTerminated(LocalDate dateOnWhichItTerminated) {
    this.dateOnWhichItTerminated = dateOnWhichItTerminated;
  }

  public TripCancellationClaimInformation includeADescriptionOfThePhysical(String includeADescriptionOfThePhysical) {
    this.includeADescriptionOfThePhysical = includeADescriptionOfThePhysical;
    return this;
  }

   /**
   * Get includeADescriptionOfThePhysical
   * @return includeADescriptionOfThePhysical
  **/
  @ApiModelProperty(example = "Test include ", value = "")
  public String getIncludeADescriptionOfThePhysical() {
    return includeADescriptionOfThePhysical;
  }

  public void setIncludeADescriptionOfThePhysical(String includeADescriptionOfThePhysical) {
    this.includeADescriptionOfThePhysical = includeADescriptionOfThePhysical;
  }

  public TripCancellationClaimInformation admission(LocalDate admission) {
    this.admission = admission;
    return this;
  }

   /**
   * Get admission
   * @return admission
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getAdmission() {
    return admission;
  }

  public void setAdmission(LocalDate admission) {
    this.admission = admission;
  }

  public TripCancellationClaimInformation discharge(LocalDate discharge) {
    this.discharge = discharge;
    return this;
  }

   /**
   * Get discharge
   * @return discharge
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getDischarge() {
    return discharge;
  }

  public void setDischarge(LocalDate discharge) {
    this.discharge = discharge;
  }

  public TripCancellationClaimInformation pleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
    return this;
  }

   /**
   * Get pleaseIndicateTheAmount
   * @return pleaseIndicateTheAmount
  **/
  @ApiModelProperty(example = "202020.0", value = "")
  public BigDecimal getPleaseIndicateTheAmount() {
    return pleaseIndicateTheAmount;
  }

  public void setPleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
  }

  public TripCancellationClaimInformation itemsList(Model133 itemsList) {
    this.itemsList = itemsList;
    return this;
  }

   /**
   * Get itemsList
   * @return itemsList
  **/
  @ApiModelProperty(value = "")
  public Model133 getItemsList() {
    return itemsList;
  }

  public void setItemsList(Model133 itemsList) {
    this.itemsList = itemsList;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TripCancellationClaimInformation tripCancellationClaimInformation = (TripCancellationClaimInformation) o;
    return Objects.equals(this.claimantName, tripCancellationClaimInformation.claimantName) &&
        Objects.equals(this.relationshipToCardholder, tripCancellationClaimInformation.relationshipToCardholder) &&
        Objects.equals(this.otherRelationshipToCardholder, tripCancellationClaimInformation.otherRelationshipToCardholder) &&
        Objects.equals(this.sex, tripCancellationClaimInformation.sex) &&
        Objects.equals(this.dateOfBirth, tripCancellationClaimInformation.dateOfBirth) &&
        Objects.equals(this.doYouHaveOtherInsuranceCovering, tripCancellationClaimInformation.doYouHaveOtherInsuranceCovering) &&
        Objects.equals(this.reimbursedForAnyPortionOfTheCause, tripCancellationClaimInformation.reimbursedForAnyPortionOfTheCause) &&
        Objects.equals(this.fromPlannedDayOfTrip, tripCancellationClaimInformation.fromPlannedDayOfTrip) &&
        Objects.equals(this.toPlannedDayOfTrip, tripCancellationClaimInformation.toPlannedDayOfTrip) &&
        Objects.equals(this.dateOfInterruptionCancellation, tripCancellationClaimInformation.dateOfInterruptionCancellation) &&
        Objects.equals(this.ticketAmount, tripCancellationClaimInformation.ticketAmount) &&
        Objects.equals(this.currencyIsoCode, tripCancellationClaimInformation.currencyIsoCode) &&
        Objects.equals(this.costOfAccommodation, tripCancellationClaimInformation.costOfAccommodation) &&
        Objects.equals(this.totalAmountClaimed, tripCancellationClaimInformation.totalAmountClaimed) &&
        Objects.equals(this.amountPaid, tripCancellationClaimInformation.amountPaid) &&
        Objects.equals(this.amountReimbursed, tripCancellationClaimInformation.amountReimbursed) &&
        Objects.equals(this.totalAmountOfClaim, tripCancellationClaimInformation.totalAmountOfClaim) &&
        Objects.equals(this.reasonOfCancellation, tripCancellationClaimInformation.reasonOfCancellation) &&
        Objects.equals(this.nameTourOperatorTravelAgency, tripCancellationClaimInformation.nameTourOperatorTravelAgency) &&
        Objects.equals(this.addressTourOperatorTravelAgency, tripCancellationClaimInformation.addressTourOperatorTravelAgency) &&
        Objects.equals(this.phoneTourOperatorTravelAgency, tripCancellationClaimInformation.phoneTourOperatorTravelAgency) &&
        Objects.equals(this.didYouUseAnyMeansOfTransport, tripCancellationClaimInformation.didYouUseAnyMeansOfTransport) &&
        Objects.equals(this.dateOfDeparture, tripCancellationClaimInformation.dateOfDeparture) &&
        Objects.equals(this.placeDeparture, tripCancellationClaimInformation.placeDeparture) &&
        Objects.equals(this.nameOfPersonSufferingPhysicalInjury, tripCancellationClaimInformation.nameOfPersonSufferingPhysicalInjury) &&
        Objects.equals(this.relationshipToClaimant, tripCancellationClaimInformation.relationshipToClaimant) &&
        Objects.equals(this.natureOfIllnessOrPhysicalInjury, tripCancellationClaimInformation.natureOfIllnessOrPhysicalInjury) &&
        Objects.equals(this.locationOfIncident, tripCancellationClaimInformation.locationOfIncident) &&
        Objects.equals(this.dateOnWhichTheIllnessOrAccident, tripCancellationClaimInformation.dateOnWhichTheIllnessOrAccident) &&
        Objects.equals(this.dateOnWhichItTerminated, tripCancellationClaimInformation.dateOnWhichItTerminated) &&
        Objects.equals(this.includeADescriptionOfThePhysical, tripCancellationClaimInformation.includeADescriptionOfThePhysical) &&
        Objects.equals(this.admission, tripCancellationClaimInformation.admission) &&
        Objects.equals(this.discharge, tripCancellationClaimInformation.discharge) &&
        Objects.equals(this.pleaseIndicateTheAmount, tripCancellationClaimInformation.pleaseIndicateTheAmount) &&
        Objects.equals(this.itemsList, tripCancellationClaimInformation.itemsList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, relationshipToCardholder, otherRelationshipToCardholder, sex, dateOfBirth, doYouHaveOtherInsuranceCovering, reimbursedForAnyPortionOfTheCause, fromPlannedDayOfTrip, toPlannedDayOfTrip, dateOfInterruptionCancellation, ticketAmount, currencyIsoCode, costOfAccommodation, totalAmountClaimed, amountPaid, amountReimbursed, totalAmountOfClaim, reasonOfCancellation, nameTourOperatorTravelAgency, addressTourOperatorTravelAgency, phoneTourOperatorTravelAgency, didYouUseAnyMeansOfTransport, dateOfDeparture, placeDeparture, nameOfPersonSufferingPhysicalInjury, relationshipToClaimant, natureOfIllnessOrPhysicalInjury, locationOfIncident, dateOnWhichTheIllnessOrAccident, dateOnWhichItTerminated, includeADescriptionOfThePhysical, admission, discharge, pleaseIndicateTheAmount, itemsList);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TripCancellationClaimInformation {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    relationshipToCardholder: ").append(toIndentedString(relationshipToCardholder)).append("\n");
    sb.append("    otherRelationshipToCardholder: ").append(toIndentedString(otherRelationshipToCardholder)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    doYouHaveOtherInsuranceCovering: ").append(toIndentedString(doYouHaveOtherInsuranceCovering)).append("\n");
    sb.append("    reimbursedForAnyPortionOfTheCause: ").append(toIndentedString(reimbursedForAnyPortionOfTheCause)).append("\n");
    sb.append("    fromPlannedDayOfTrip: ").append(toIndentedString(fromPlannedDayOfTrip)).append("\n");
    sb.append("    toPlannedDayOfTrip: ").append(toIndentedString(toPlannedDayOfTrip)).append("\n");
    sb.append("    dateOfInterruptionCancellation: ").append(toIndentedString(dateOfInterruptionCancellation)).append("\n");
    sb.append("    ticketAmount: ").append(toIndentedString(ticketAmount)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    costOfAccommodation: ").append(toIndentedString(costOfAccommodation)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountPaid: ").append(toIndentedString(amountPaid)).append("\n");
    sb.append("    amountReimbursed: ").append(toIndentedString(amountReimbursed)).append("\n");
    sb.append("    totalAmountOfClaim: ").append(toIndentedString(totalAmountOfClaim)).append("\n");
    sb.append("    reasonOfCancellation: ").append(toIndentedString(reasonOfCancellation)).append("\n");
    sb.append("    nameTourOperatorTravelAgency: ").append(toIndentedString(nameTourOperatorTravelAgency)).append("\n");
    sb.append("    addressTourOperatorTravelAgency: ").append(toIndentedString(addressTourOperatorTravelAgency)).append("\n");
    sb.append("    phoneTourOperatorTravelAgency: ").append(toIndentedString(phoneTourOperatorTravelAgency)).append("\n");
    sb.append("    didYouUseAnyMeansOfTransport: ").append(toIndentedString(didYouUseAnyMeansOfTransport)).append("\n");
    sb.append("    dateOfDeparture: ").append(toIndentedString(dateOfDeparture)).append("\n");
    sb.append("    placeDeparture: ").append(toIndentedString(placeDeparture)).append("\n");
    sb.append("    nameOfPersonSufferingPhysicalInjury: ").append(toIndentedString(nameOfPersonSufferingPhysicalInjury)).append("\n");
    sb.append("    relationshipToClaimant: ").append(toIndentedString(relationshipToClaimant)).append("\n");
    sb.append("    natureOfIllnessOrPhysicalInjury: ").append(toIndentedString(natureOfIllnessOrPhysicalInjury)).append("\n");
    sb.append("    locationOfIncident: ").append(toIndentedString(locationOfIncident)).append("\n");
    sb.append("    dateOnWhichTheIllnessOrAccident: ").append(toIndentedString(dateOnWhichTheIllnessOrAccident)).append("\n");
    sb.append("    dateOnWhichItTerminated: ").append(toIndentedString(dateOnWhichItTerminated)).append("\n");
    sb.append("    includeADescriptionOfThePhysical: ").append(toIndentedString(includeADescriptionOfThePhysical)).append("\n");
    sb.append("    admission: ").append(toIndentedString(admission)).append("\n");
    sb.append("    discharge: ").append(toIndentedString(discharge)).append("\n");
    sb.append("    pleaseIndicateTheAmount: ").append(toIndentedString(pleaseIndicateTheAmount)).append("\n");
    sb.append("    itemsList: ").append(toIndentedString(itemsList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

